Subject: Re: [bug#68289] [PATCH] services: xorg: Add xorg-start-command-xinit procedure.

From: Tomas Volf <[email-masked]>
Date: Sat, 11 May 2024 15:29:28 +0200

Hello :)

On 2024-05-03 11:57:07 +0200, Ludovic Courtès wrote:
> I would extend ‘profile-service-type’ such that ‘startx’ appears in
> /run/current-system/profile/bin.
>
> It does mean that you need to create a computed-file that produces
> /gnu/store/…/bin/startx (‘startx’ must be in a bin/ sub-directory).
>
> How does that sound?

Right, so I finally found some time to look into it and produced a v2.  I took
inspiration from already existing services in (gnu services xorg), and in the
end it was not that hard to do.

Let me know what you think.

Have a nice day,
Tomas

--
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.